Brand
Queue AI extraction for product pages discovered from a brand site
POST
/brand/ai/productsAuthorization
api-key AuthorizationBearer <token>
Enter your API key with the bc_ prefix
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
domain*string
Brand domain or URL whose product pages should be discovered
limit?number
Maximum product pages to scrape and extract
Range
1 <= value <= 20Default
10webhook?
Optional direct webhook for this products job
Response Body
application/json
curl -X POST "https://example.com/brand/ai/products" \ -H "Content-Type: application/json" \ -d '{ "domain": "example.com" }'{ "success": true, "data": { "success": true, "id": "brand_products_uuid", "status": "PENDING", "domain": "example.com", "limit": 10 }}Empty
Empty
Empty